class UserForm < Frigate::Form::Base
	property :email, validates: { presence: true }
	has_one :user_profile do
		property :first_name, validates: { presence: true }
		property :last_name
		property :skype
	end
end

class UserFormCustom < Frigate::Form::Base
	property :email, validates: { presence: true },
		validate: [
			Proc.new { error(:invalid) unless value =~ /\A([\w+\-].?)+@[a-z\d\-]+(\.[a-z]+)*\.[a-z]+\z/i },
		]
	has_one :user_profile do
		property :first_name, validates: { presence: true }
		property :last_name
		property :skype
	end
end

class UserFormTree < Frigate::Form::Base
	property :email
	has_one :user_profile do
		property :first_name
		property :last_name
		property :skype
		has_one :user_profile_passport do
			property :number
			property :country
			property :city
		end
	end
end